Bug 468227 - Review Request: python-repoze-who - An identification and authentication framework for WSGI
Summary: Review Request: python-repoze-who - An identification and authentication fram...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 468228 468805 499483 501566 501576
TreeView+ depends on / blocked
 
Reported: 2008-10-23 16:37 UTC by Luke Macken
Modified: 2016-09-20 02:39 UTC (History)
5 users (show)

Fixed In Version: 1.0.13-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 04:43:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2008-10-23 16:37:14 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-who.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze-who-1.0.7-1.fc9.src.rpm
Description:
repoze.who is an identification and authentication framework for arbitrary WSGI
applications.  It acts as WSGI middleware.

repoze.who is inspired by Zope 2's Pluggable Authentication Service (PAS) (but
repoze.who is not dependent on Zope in any way; it is useful for any WSGI
application).  It provides no facility for authorization (ensuring whether a
user can or cannot perform the operation implied by the request).  This is
considered to be the domain of the WSGI application.

Comment 1 Jason Tibbitts 2009-03-25 03:42:07 UTC
Is this package still needed?  I notice that the two packages it blocked have been closed for various reasons.

If so, did you want to update to 1.0.10?

Comment 2 Luke Macken 2009-05-06 17:19:16 UTC
Yes, this package is still needed.

http://lmacken.fedorapeople.org/rpms/python-repoze-who-1.0.13-1.fc9.src.rpm
http://lmacken.fedorapeople.org/rpms/python-repoze-who.spec

* Wed May 06 2009 Luke Macken <lmacken@redhat.com> - 1.0.13-1
- Update to the latest upstream release.

Comment 4 Tom "spot" Callaway 2009-05-18 18:30:18 UTC
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1361395

Review:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (576a215d35d6bd8299cc887459273bc509913873)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 5 Luke Macken 2009-05-22 00:45:31 UTC
New Package CVS Request
=======================
Package Name: python-repoze-who
Short Description: An identification and authentication framework for WSGI
Owners: lmacken
Branches: F-10 F-11 EL-5
InitialCC: felix.schwarz@oss.schwarz.eu

Comment 6 Tom "spot" Callaway 2009-05-22 15:23:02 UTC
cvs done.

Comment 7 Fedora Update System 2009-05-27 04:42:01 UTC
python-repoze-who-1.0.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-who-1.0.13-1.fc11

Comment 8 Fedora Update System 2009-05-27 04:42:06 UTC
python-repoze-who-1.0.13-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-who-1.0.13-1.fc10

Comment 9 Luke Macken 2009-05-27 04:43:11 UTC
Imported, tagged, built, and pending a push to F10/F11 updates.  Thanks all!

Comment 10 Fedora Update System 2009-05-28 07:57:00 UTC
python-repoze-who-1.0.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-05-28 07:59:53 UTC
python-repoze-who-1.0.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-07-08 19:34:51 UTC
python-demjson-1.3-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-demjson-1.3-4.el5


Note You need to log in before you can comment on or make changes to this bug.